%delayspread.m
close all
clear all
%beta is assumed as the one that is not varying with time
%nop is the number of paths
%txsignal is the transmitted signal
%rxsignal is the received signal
%tv_tf_comp_at_t0 is the time varying transfer function as the function of frequency computed at the
%time instant t0 (micro sec )
%TAUJ is the rate at which the delay is changing.
TAU0=0;
t0=1;
nop=4;
BETA=rand(1,nop);
TAUJ=(rand(1,nop)*2-1);
rxsignal=[];
tv_tf_comp_at_t0=[];
z=1;
t1=1;
for f=0:(1/1000):0.999
temp=0;
temp1=0;
for p=1:1:nop
temp1=temp1+BETA(p)*exp(-j*2*pi*f*TAU0)*exp(-j*2*pi*f*TAUJ(p)*t0);
end
tv_tf_comp_at_t0=[tv_tf_comp_at_t0 temp1];
end
figure
plot([0:(1/1000):0.999]*1000,abs(tv_tf_comp_at_t0))
title('Time varying transfer function computed at the time instant t0=1 micro secs.');
